#load "myset.cmo";;

module S1 =
  Myset.Make 
    (struct type t = int let compare = compare let to_string = string_of_int end)

module S2 =
  Myset.Make 
    (struct type t = string let compare = compare let to_string x = x end)

let s1 = S1.add 1 (S1.add 2 S1.empty)
let _ = S1.elems s1

let s2 = S2.add "a" (S2.add "b" S2.empty)
let _ = S2.elems s2

module P = Myset.Product(S1)(S2)

let s3 = P.product s1 s2
let _ = P.elems s3
