#load "myset.cmo";;
#load "myseta.cmo";;

module S1 =
  Myseta.Make 
    (struct type t = int let compare = compare let to_string = string_of_int end)
    (struct type t = bool let to_string = string_of_bool end)

module S2 =
  Myseta.Make 
    (struct type t = string let compare = compare let to_string x = x end)
    (struct type t = bool let to_string = string_of_bool end)

let s1 = S1.add (1,true) (S1.add (2,false) S1.empty)
let _ = S1.elems s1

let s2 = S2.add ("a",true) (S2.add ("b",false) S2.empty)
let _ = S2.elems s2

module P = Myseta.Product(S1)(S2)

let s3 = P.product s1 s2
let _ = P.elems s3
